Skip to main content
GET
Go (SDK)

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

type

Filter by benefit type.

Available options:
custom,
discord,
github_repository,
downloadables,
license_keys,
meter_credit,
feature_flag,
slack_shared_channel
id

Filter by benefit IDs. The benefit ID.

exclude_id

Exclude benefits with these IDs. The benefit ID.

query
string | null

Filter by description.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
description,
-description,
type,
-type,
user_order,
-user_order
metadata
MetadataQuery · object | null

Filter by metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Successful Response

items
(BenefitCustom · object | BenefitDiscord · object | BenefitGitHubRepository · object | BenefitDownloadables · object | BenefitLicenseKeys · object | BenefitMeterCredit · object | BenefitFeatureFlag · object | BenefitSlackSharedChannel · object)[]
required

A benefit of type custom.

Use it to grant any kind of benefit that doesn't fit in the other types.

pagination
Pagination · object
required